<?php

namespace App\Filament\Resources\Promotions\Schemas;

use Filament\Forms\Components\TextInput;
use Filament\Schemas\Schema;
use Filament\Schemas\Components\Section;

class PromotionForm
{
    public static function configure(Schema $schema): Schema
    {
        return $schema
            ->components([
                Section::make()
                    ->schema([
                        TextInput::make('title')
                            ->label('Tytuł')
                            ->required()
                            ->maxLength(2048),
                        TextInput::make('description')
                            ->label('Opis')
                            ->maxLength(2048)
                            ->default(null),
                        TextInput::make('additional_info')
                            ->label('Dodatkowe informacje')
                            ->maxLength(2048)
                            ->default(null),
                    ]),
            ]);
    }
}
